BOOTCD2DISK(1)

NAME
bootcd2disk - copy a system running from bootcd to a disk

SYNOPSIS
bootcd2disk [-i] [-s] [-c <config directory>] [-url <url>]

DESCRIPTION
With bootcd2disk a CD build with bootcdwrite can be copied to one or more Disk Partitions from the running cd-based system. Therefore bootcd could be used to make rescue disks.

It is also possible to let bootcd2disk automatically find a disk, make partitions on it, copy the cd to the disk and make the disk bootable. bootcd2disk will be available as soon as your system is running from cd.

OPTIONS

-i  With this option the complete bootcd2disk runs in interactive mode and you can run each function manually. This option is useful for debugging.

-v  The option "-v" (verbose) adds messages on running.

-s  This option can be used to disable interactive questions and to try to ignore errors.

-c <config directory>
    The configuration directory which normally is "/etc/bootcd" can be changed with this.

-url <url>
    If bootcd2disk is slow on your system (because of a slow CD/DVD drive or the HP ILO virtual CD interface), you can use an image server to get the image from. bootcd2disk use the SWAP partition of your upcoming system as temporary space and copy the image from the configured image server to this partition and use it as image. The image server url is configured with this option.

    example install from imagesserver:
        bootcd2disk -url http://192.168.1.1/cdimage.iso

    Another way the increase the performance is the use of the mounted CD/DVD itself for the copy. The option "-url" is the same, the url starts with "file:///"

    example install from CD/DVD drive sdc0:
        bootcd2disk -url file:///dev/sdc0

    The swap partition of the upcoming system must have enough space to get the whole image!

Currently no other options can be specified on command line. All other configuration has to be done in the config files.

FILES

/etc/bootcd/bootcd2disk.conf

Configuration for bootcd2disk.

SEE ALSO
Documentation in bootcd2disk.conf
bootcd2disk.conf(5), bootcd(1), bootcdflopcp(1), bootcdwrite(1)

AUTHOR
This manual page was written by Bernd Schumacher <bernd.schumacher@hpe.com> and Carsten Dinkelmann <Carsten.Dinkelmann@foobar-cpa.de> for the Debian GNU/Linux system (but may be used by others).